MediaServicesClientCompositeOperations¶
- class oci.media_services.MediaServicesClientCompositeOperations(client, **kwargs)¶
This class provides a wrapper around
MediaServicesClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
__init__(client, **kwargs)Creates a new MediaServicesClientCompositeOperations object
Calls
add_media_asset_lock()and waits for theMediaAssetacted upon to enter the given state(s).add_media_workflow_configuration_lock_and_wait_for_state(...)Calls
add_media_workflow_configuration_lock()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).Calls
add_media_workflow_job_lock()and waits for theMediaWorkflowJobacted upon to enter the given state(s).Calls
add_media_workflow_lock()and waits for theMediaWorkflowacted upon to enter the given state(s).Calls
add_stream_cdn_config_lock()and waits for theStreamCdnConfigacted upon to enter the given state(s).add_stream_distribution_channel_lock_and_wait_for_state(...)Calls
add_stream_distribution_channel_lock()and waits for theStreamDistributionChannelacted upon to enter the given state(s).Calls
add_stream_packaging_config_lock()and waits for theStreamPackagingConfigacted upon to enter the given state(s).create_media_asset_and_wait_for_state(...[, ...])Calls
create_media_asset()and waits for theMediaAssetacted upon to enter the given state(s).Calls
create_media_workflow()and waits for theMediaWorkflowacted upon to enter the given state(s).Calls
create_media_workflow_configuration()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).Calls
create_media_workflow_job()and waits for theMediaWorkflowJobacted upon to enter the given state(s).Calls
create_stream_cdn_config()and waits for theStreamCdnConfigacted upon to enter the given state(s).Calls
create_stream_distribution_channel()and waits for theStreamDistributionChannelacted upon to enter the given state(s).Calls
create_stream_packaging_config()and waits for theStreamPackagingConfigacted upon to enter the given state(s).delete_media_asset_and_wait_for_state(...[, ...])Calls
delete_media_asset()and waits for theMediaAssetacted upon to enter the given state(s).Calls
delete_media_workflow()and waits for theMediaWorkflowacted upon to enter the given state(s).Calls
delete_media_workflow_configuration()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).Calls
delete_media_workflow_job()and waits for theMediaWorkflowJobacted upon to enter the given state(s).Calls
delete_stream_cdn_config()and waits for theStreamCdnConfigacted upon to enter the given state(s).Calls
delete_stream_distribution_channel()and waits for theStreamDistributionChannelacted upon to enter the given state(s).Calls
delete_stream_packaging_config()and waits for theStreamPackagingConfigacted upon to enter the given state(s).Calls
remove_media_asset_lock()and waits for theMediaAssetacted upon to enter the given state(s).remove_media_workflow_configuration_lock_and_wait_for_state(...)Calls
remove_media_workflow_configuration_lock()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).Calls
remove_media_workflow_job_lock()and waits for theMediaWorkflowJobacted upon to enter the given state(s).Calls
remove_media_workflow_lock()and waits for theMediaWorkflowacted upon to enter the given state(s).Calls
remove_stream_cdn_config_lock()and waits for theStreamCdnConfigacted upon to enter the given state(s).remove_stream_distribution_channel_lock_and_wait_for_state(...)Calls
remove_stream_distribution_channel_lock()and waits for theStreamDistributionChannelacted upon to enter the given state(s).Calls
remove_stream_packaging_config_lock()and waits for theStreamPackagingConfigacted upon to enter the given state(s).update_media_asset_and_wait_for_state(...[, ...])Calls
update_media_asset()and waits for theMediaAssetacted upon to enter the given state(s).Calls
update_media_workflow()and waits for theMediaWorkflowacted upon to enter the given state(s).Calls
update_media_workflow_configuration()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).Calls
update_media_workflow_job()and waits for theMediaWorkflowJobacted upon to enter the given state(s).Calls
update_stream_cdn_config()and waits for theStreamCdnConfigacted upon to enter the given state(s).Calls
update_stream_distribution_channel()and waits for theStreamDistributionChannelacted upon to enter the given state(s).Calls
update_stream_packaging_config()and waits for theStreamPackagingConfigacted upon to enter the given state(s).- __init__(client, **kwargs)¶
Creates a new MediaServicesClientCompositeOperations object
- Parameters
client (MediaServicesClient) – The service client which will be wrapped by this object
- add_media_asset_lock_and_wait_for_state(add_lock_details, media_asset_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_media_asset_lock()and waits for theMediaAssetacted upon to enter the given state(s).- Parameters
add_lock_details (oci.media_services.models.AddLockDetails) – (required) The details to be updated for the AddLock.
media_asset_id (str) – (required) Unique MediaAsset identifier
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_media_asset_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_media_workflow_configuration_lock_and_wait_for_state(add_resource_lock_details, media_workflow_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_media_workflow_configuration_lock()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).- Parameters
add_resource_lock_details (oci.media_services.models.AddLockDetails) – (required) AddResourceLockDetails body parameter
media_workflow_configuration_id (str) – (required) Unique MediaWorkflowConfiguration identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_media_workflow_configuration_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_media_workflow_job_lock_and_wait_for_state(add_lock_details, media_workflow_job_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_media_workflow_job_lock()and waits for theMediaWorkflowJobacted upon to enter the given state(s).- Parameters
add_lock_details (oci.media_services.models.AddLockDetails) – (required) The details to be updated for the AddLock.
media_workflow_job_id (str) – (required) Unique MediaWorkflowJob identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_media_workflow_job_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_media_workflow_lock_and_wait_for_state(add_resource_lock_details, media_workflow_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_media_workflow_lock()and waits for theMediaWorkflowacted upon to enter the given state(s).- Parameters
add_resource_lock_details (oci.media_services.models.AddLockDetails) – (required) AddResourceLockDetails body parameter
media_workflow_id (str) – (required) Unique MediaWorkflow identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_media_workflow_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_stream_cdn_config_lock_and_wait_for_state(add_resource_lock_details, stream_cdn_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_stream_cdn_config_lock()and waits for theStreamCdnConfigacted upon to enter the given state(s).- Parameters
add_resource_lock_details (oci.media_services.models.AddLockDetails) – (required) AddResourceLockDetails body parameter
stream_cdn_config_id (str) – (required) Unique StreamCdnConfig identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_stream_cdn_config_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_stream_distribution_channel_lock_and_wait_for_state(add_resource_lock_details, stream_distribution_channel_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_stream_distribution_channel_lock()and waits for theStreamDistributionChannelacted upon to enter the given state(s).- Parameters
add_resource_lock_details (oci.media_services.models.AddLockDetails) – (required) AddResourceLockDetails body parameter
stream_distribution_channel_id (str) – (required) Unique Stream Distribution Channel path identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_stream_distribution_channel_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_stream_packaging_config_lock_and_wait_for_state(add_resource_lock_details, stream_packaging_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_stream_packaging_config_lock()and waits for theStreamPackagingConfigacted upon to enter the given state(s).- Parameters
add_resource_lock_details (oci.media_services.models.AddLockDetails) – (required) AddResourceLockDetails body parameter
stream_packaging_config_id (str) – (required) Unique Stream Packaging Configuration path identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_stream_packaging_config_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_media_asset_and_wait_for_state(create_media_asset_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_media_asset()and waits for theMediaAssetacted upon to enter the given state(s).- Parameters
create_media_asset_details (oci.media_services.models.CreateMediaAssetDetails) – (required) Details for the new MediaAsset.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_media_asset()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_media_workflow_and_wait_for_state(create_media_workflow_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_media_workflow()and waits for theMediaWorkflowacted upon to enter the given state(s).- Parameters
create_media_workflow_details (oci.media_services.models.CreateMediaWorkflowDetails) – (required) Details for the new MediaWorkflow.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_media_workflow()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_media_workflow_configuration_and_wait_for_state(create_media_workflow_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_media_workflow_configuration()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).- Parameters
create_media_workflow_configuration_details (oci.media_services.models.CreateMediaWorkflowConfigurationDetails) – (required) Details for the new MediaWorkflowConfiguration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_media_workflow_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_media_workflow_job_and_wait_for_state(create_media_workflow_job_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_media_workflow_job()and waits for theMediaWorkflowJobacted upon to enter the given state(s).- Parameters
create_media_workflow_job_details (oci.media_services.models.CreateMediaWorkflowJobDetails) – (required) The information to run the mediaWorkflow.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_media_workflow_job()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_stream_cdn_config_and_wait_for_state(create_stream_cdn_config_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_stream_cdn_config()and waits for theStreamCdnConfigacted upon to enter the given state(s).- Parameters
create_stream_cdn_config_details (oci.media_services.models.CreateStreamCdnConfigDetails) – (required) Details for the new StreamCdnConfig.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_stream_cdn_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_stream_distribution_channel_and_wait_for_state(create_stream_distribution_channel_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_stream_distribution_channel()and waits for theStreamDistributionChannelacted upon to enter the given state(s).- Parameters
create_stream_distribution_channel_details (oci.media_services.models.CreateStreamDistributionChannelDetails) – (required) Details for the new Stream Distribution Channel.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_stream_distribution_channel()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_stream_packaging_config_and_wait_for_state(create_stream_packaging_config_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_stream_packaging_config()and waits for theStreamPackagingConfigacted upon to enter the given state(s).- Parameters
create_stream_packaging_config_details (oci.media_services.models.CreateStreamPackagingConfigDetails) – (required) Details for the new Stream Packaging Configuration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_stream_packaging_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_media_asset_and_wait_for_state(media_asset_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_media_asset()and waits for theMediaAssetacted upon to enter the given state(s).- Parameters
media_asset_id (str) – (required) Unique MediaAsset identifier
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_media_asset()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_media_workflow_and_wait_for_state(media_workflow_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_media_workflow()and waits for theMediaWorkflowacted upon to enter the given state(s).- Parameters
media_workflow_id (str) – (required) Unique MediaWorkflow identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_media_workflow()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_media_workflow_configuration_and_wait_for_state(media_workflow_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_media_workflow_configuration()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).- Parameters
media_workflow_configuration_id (str) – (required) Unique MediaWorkflowConfiguration identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_media_workflow_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_media_workflow_job_and_wait_for_state(media_workflow_job_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_media_workflow_job()and waits for theMediaWorkflowJobacted upon to enter the given state(s).- Parameters
media_workflow_job_id (str) – (required) Unique MediaWorkflowJob identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_media_workflow_job()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_stream_cdn_config_and_wait_for_state(stream_cdn_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_stream_cdn_config()and waits for theStreamCdnConfigacted upon to enter the given state(s).- Parameters
stream_cdn_config_id (str) – (required) Unique StreamCdnConfig identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_stream_cdn_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_stream_distribution_channel_and_wait_for_state(stream_distribution_channel_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_stream_distribution_channel()and waits for theStreamDistributionChannelacted upon to enter the given state(s).- Parameters
stream_distribution_channel_id (str) – (required) Unique Stream Distribution Channel path identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_stream_distribution_channel()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_stream_packaging_config_and_wait_for_state(stream_packaging_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_stream_packaging_config()and waits for theStreamPackagingConfigacted upon to enter the given state(s).- Parameters
stream_packaging_config_id (str) – (required) Unique Stream Packaging Configuration path identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_stream_packaging_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_media_asset_lock_and_wait_for_state(remove_lock_details, media_asset_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_media_asset_lock()and waits for theMediaAssetacted upon to enter the given state(s).- Parameters
remove_lock_details (oci.media_services.models.RemoveLockDetails) – (required) The details to be updated for the RemoveLock.
media_asset_id (str) – (required) Unique MediaAsset identifier
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_media_asset_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_media_workflow_configuration_lock_and_wait_for_state(remove_resource_lock_details, media_workflow_configuration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_media_workflow_configuration_lock()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).- Parameters
remove_resource_lock_details (oci.media_services.models.RemoveLockDetails) – (required) RemoveResourceLockDetails body parameter
media_workflow_configuration_id (str) – (required) Unique MediaWorkflowConfiguration identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_media_workflow_configuration_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_media_workflow_job_lock_and_wait_for_state(remove_lock_details, media_workflow_job_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_media_workflow_job_lock()and waits for theMediaWorkflowJobacted upon to enter the given state(s).- Parameters
remove_lock_details (oci.media_services.models.RemoveLockDetails) – (required) The details to be updated for the RemoveLock.
media_workflow_job_id (str) – (required) Unique MediaWorkflowJob identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_media_workflow_job_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_media_workflow_lock_and_wait_for_state(remove_resource_lock_details, media_workflow_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_media_workflow_lock()and waits for theMediaWorkflowacted upon to enter the given state(s).- Parameters
remove_resource_lock_details (oci.media_services.models.RemoveLockDetails) – (required) RemoveResourceLockDetails body parameter
media_workflow_id (str) – (required) Unique MediaWorkflow identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_media_workflow_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_stream_cdn_config_lock_and_wait_for_state(remove_resource_lock_details, stream_cdn_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_stream_cdn_config_lock()and waits for theStreamCdnConfigacted upon to enter the given state(s).- Parameters
remove_resource_lock_details (oci.media_services.models.RemoveLockDetails) – (required) RemoveResourceLockDetails body parameter
stream_cdn_config_id (str) – (required) Unique StreamCdnConfig identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_stream_cdn_config_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_stream_distribution_channel_lock_and_wait_for_state(remove_resource_lock_details, stream_distribution_channel_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_stream_distribution_channel_lock()and waits for theStreamDistributionChannelacted upon to enter the given state(s).- Parameters
remove_resource_lock_details (oci.media_services.models.RemoveLockDetails) – (required) RemoveResourceLockDetails body parameter
stream_distribution_channel_id (str) – (required) Unique Stream Distribution Channel path identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_stream_distribution_channel_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_stream_packaging_config_lock_and_wait_for_state(remove_resource_lock_details, stream_packaging_config_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_stream_packaging_config_lock()and waits for theStreamPackagingConfigacted upon to enter the given state(s).- Parameters
remove_resource_lock_details (oci.media_services.models.RemoveLockDetails) – (required) RemoveResourceLockDetails body parameter
stream_packaging_config_id (str) – (required) Unique Stream Packaging Configuration path identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_stream_packaging_config_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_media_asset_and_wait_for_state(media_asset_id, update_media_asset_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_media_asset()and waits for theMediaAssetacted upon to enter the given state(s).- Parameters
media_asset_id (str) – (required) Unique MediaAsset identifier
update_media_asset_details (oci.media_services.models.UpdateMediaAssetDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_media_asset()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_media_workflow_and_wait_for_state(media_workflow_id, update_media_workflow_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_media_workflow()and waits for theMediaWorkflowacted upon to enter the given state(s).- Parameters
media_workflow_id (str) – (required) Unique MediaWorkflow identifier.
update_media_workflow_details (oci.media_services.models.UpdateMediaWorkflowDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_media_workflow()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_media_workflow_configuration_and_wait_for_state(media_workflow_configuration_id, update_media_workflow_configuration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_media_workflow_configuration()and waits for theMediaWorkflowConfigurationacted upon to enter the given state(s).- Parameters
media_workflow_configuration_id (str) – (required) Unique MediaWorkflowConfiguration identifier.
update_media_workflow_configuration_details (oci.media_services.models.UpdateMediaWorkflowConfigurationDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_media_workflow_configuration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_media_workflow_job_and_wait_for_state(media_workflow_job_id, update_media_workflow_job_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_media_workflow_job()and waits for theMediaWorkflowJobacted upon to enter the given state(s).- Parameters
media_workflow_job_id (str) – (required) Unique MediaWorkflowJob identifier.
update_media_workflow_job_details (oci.media_services.models.UpdateMediaWorkflowJobDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_media_workflow_job()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_stream_cdn_config_and_wait_for_state(stream_cdn_config_id, update_stream_cdn_config_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_stream_cdn_config()and waits for theStreamCdnConfigacted upon to enter the given state(s).- Parameters
stream_cdn_config_id (str) – (required) Unique StreamCdnConfig identifier.
update_stream_cdn_config_details (oci.media_services.models.UpdateStreamCdnConfigDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_stream_cdn_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_stream_distribution_channel_and_wait_for_state(stream_distribution_channel_id, update_stream_distribution_channel_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_stream_distribution_channel()and waits for theStreamDistributionChannelacted upon to enter the given state(s).- Parameters
stream_distribution_channel_id (str) – (required) Unique Stream Distribution Channel path identifier.
update_stream_distribution_channel_details (oci.media_services.models.UpdateStreamDistributionChannelDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_stream_distribution_channel()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_stream_packaging_config_and_wait_for_state(stream_packaging_config_id, update_stream_packaging_config_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_stream_packaging_config()and waits for theStreamPackagingConfigacted upon to enter the given state(s).- Parameters
stream_packaging_config_id (str) – (required) Unique Stream Packaging Configuration path identifier.
update_stream_packaging_config_details (oci.media_services.models.UpdateStreamPackagingConfigDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_stream_packaging_config()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait